---
title: List budgets
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Cloud Cost Management
---

# List budgets{% #list-budgets %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                          |
| ----------------- | ----------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/cost/budgets |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/cost/budgets |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/cost/budgets      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/cost/budgets      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/cost/budgets  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/cost/budgets     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/cost/budgets |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/cost/budgets |

### Overview

List budgets.

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
An array of budgets.

| Parent field | Field                  | Type     | Description                                                                 |
| ------------ | ---------------------- | -------- | --------------------------------------------------------------------------- |
|              | data [*required*] | [object] | The `BudgetArray` `data`.                                                   |
| data         | attributes             | object   | The attributes of a budget.                                                 |
| attributes   | created_at             | int64    | The timestamp when the budget was created.                                  |
| attributes   | created_by             | string   | The id of the user that created the budget.                                 |
| attributes   | end_month              | int64    | The month when the budget ends.                                             |
| attributes   | entries                | [object] | The list of monthly budget entries.                                         |
| entries      | amount                 | double   | The budgeted amount for this entry.                                         |
| entries      | month                  | int64    | The month this budget entry applies to, in YYYYMM format.                   |
| entries      | tag_filters            | [object] | The list of tag filters that scope this budget entry to specific resources. |
| tag_filters  | tag_key                | string   | The tag key to filter on.                                                   |
| tag_filters  | tag_value              | string   | The tag value to filter on.                                                 |
| attributes   | metrics_query          | string   | The cost query used to track against the budget.                            |
| attributes   | name                   | string   | The name of the budget.                                                     |
| attributes   | org_id                 | int64    | The id of the org the budget belongs to.                                    |
| attributes   | start_month            | int64    | The month when the budget starts.                                           |
| attributes   | total_amount           | double   | The sum of all budget entries' amounts.                                     |
| attributes   | updated_at             | int64    | The timestamp when the budget was last updated.                             |
| attributes   | updated_by             | string   | The id of the user that created the budget.                                 |
| data         | id                     | string   | The id of the budget.                                                       |
| data         | type [*required*] | string   | The type of the object, must be `budget`.                                   |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "attributes": {
        "created_at": 1741011342772,
        "created_by": "user1",
        "end_month": 202502,
        "metrics_query": "aws.cost.amortized{service:ec2} by {service}",
        "name": "my budget",
        "org_id": 123,
        "start_month": 202501,
        "total_amount": 1000,
        "updated_at": 1741011342772,
        "updated_by": "user2"
      },
      "id": "00000000-0a0a-0a0a-aaa0-00000000000a",
      "type": "budget"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/cost/budgets" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
##### 

```python
"""
List budgets returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.cloud_cost_management_api import CloudCostManagementApi

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = CloudCostManagementApi(api_client)
    response = api_instance.list_budgets()

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
##### 

```ruby
# List budgets returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::CloudCostManagementAPI.new
p api_instance.list_budgets()
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```go
// List budgets returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewCloudCostManagementApi(apiClient)
	resp, r, err := api.ListBudgets(ctx)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `CloudCostManagementApi.ListBudgets`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `CloudCostManagementApi.ListBudgets`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
##### 

```java
// List budgets returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.CloudCostManagementApi;
import com.datadog.api.client.v2.model.BudgetArray;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    CloudCostManagementApi apiInstance = new CloudCostManagementApi(defaultClient);

    try {
      BudgetArray result = apiInstance.listBudgets();
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling CloudCostManagementApi#listBudgets");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
##### 

```rust
// List budgets returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_cloud_cost_management::CloudCostManagementAPI;

#[tokio::main]
async fn main() {
    let configuration = datadog::Configuration::new();
    let api = CloudCostManagementAPI::with_config(configuration);
    let resp = api.list_budgets().await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
##### 

```typescript
/**
 * List budgets returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.CloudCostManagementApi(configuration);

apiInstance
  .listBudgets()
  .then((data: v2.BudgetArray) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"
{% /tab %}
